summaryrefslogtreecommitdiffstats
path: root/documentation
diff options
context:
space:
mode:
authorScott Rifenbark <srifenbark@gmail.com>2019-01-24 12:56:01 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2019-02-12 21:48:56 +0000
commit9502933d44e6c62b3fd8209257e82e46441ae02b (patch)
tree5700c4e372e2caa19afce69d9f5d9fc865ee887a /documentation
parent0a1666685bc24db785fdf2d5011b09a19af18965 (diff)
downloadpoky-9502933d44e6c62b3fd8209257e82e46441ae02b.tar.gz
poky-9502933d44e6c62b3fd8209257e82e46441ae02b.tar.bz2
poky-9502933d44e6c62b3fd8209257e82e46441ae02b.zip
ref-manual: Updated the list of supported distros
Ran the script against the tip of the "thud" branch in poky and used the supported distros returned. (From yocto-docs rev: 75b72c440a08d38562fb846ef0714e96d4b4a811) Signed-off-by: Scott Rifenbark <srifenbark@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'documentation')
-rw-r--r--documentation/ref-manual/ref-system-requirements.xml43
1 files changed, 31 insertions, 12 deletions
diff --git a/documentation/ref-manual/ref-system-requirements.xml b/documentation/ref-manual/ref-system-requirements.xml
index 69d4b4e726..aa821c696b 100644
--- a/documentation/ref-manual/ref-system-requirements.xml
+++ b/documentation/ref-manual/ref-system-requirements.xml
@@ -88,36 +88,56 @@
</itemizedlist>
</note>
<itemizedlist>
-<!-- <listitem><para>Ubuntu 10.04</para></listitem>
+ <listitem><para>Ubuntu 16.04</para></listitem>
+ <listitem><para>Ubuntu 18.04</para></listitem>
+ <listitem><para>Fedora 28</para></listitem>
+ <listitem><para>Centos 7.x</para></listitem>
+ <listitem><para>Debian GNU/Linux 8.x (Jessie)</para></listitem>
+ <listitem><para>Debian GNU/Linux 9.x (Stretch)</para></listitem>
+ <listitem><para>openSUSE 42.3</para></listitem>
+ </itemizedlist>
+ </para>
+<!--
+Checkout the poky distro you are interested in (by branch or tag).
+From the poky directory, run the script:
+
+bitbake -e | grep ^SANITY_TESTED_DISTROS | sed -e 's/.*"\(.*\)".*/\1/g' -e 's!\\n!\n!g' | sed 's/^[\t]*//;s/[ \t]*$//' | grep -v Poky
+
+This returns a list of the supported distros for the release.
+
+Here is some old list items to show the form:
+
+
+ <listitem><para>Ubuntu 10.04</para></listitem>
<listitem><para>Ubuntu 11.10</para></listitem>
<listitem><para>Ubuntu 12.04 (LTS)</para></listitem>
<listitem><para>Ubuntu 13.10</para></listitem>
<listitem><para>Ubuntu 14.04 (LTS)</para></listitem>
<listitem><para>Ubuntu 14.10</para></listitem>
<listitem><para>Ubuntu 15.04</para></listitem>
- <listitem><para>Ubuntu 15.10</para></listitem> -->
+ <listitem><para>Ubuntu 15.10</para></listitem>
<listitem><para>Ubuntu 16.04 (LTS)</para></listitem>
<listitem><para>Ubuntu 16.10 (LTS)</para></listitem>
<listitem><para>Ubuntu 17.04</para></listitem>
-<!-- <listitem><para>Fedora 16 (Verne)</para></listitem>
+ <listitem><para>Fedora 16 (Verne)</para></listitem>
<listitem><para>Fedora 17 (Spherical)</para></listitem>
<listitem><para>Fedora 19 (Schrödinger's Cat)</para></listitem>
<listitem><para>Fedora release 20 (Heisenbug)</para></listitem>
<listitem><para>Fedora release 22</para></listitem>
<listitem><para>Fedora release 23</para></listitem>
- <listitem><para>Fedora release 24</para></listitem> -->
+ <listitem><para>Fedora release 24</para></listitem>
<listitem><para>Fedora release 26</para></listitem>
-<!-- <listitem><para>CentOS release 5.6 (Final)</para></listitem>
+ <listitem><para>CentOS release 5.6 (Final)</para></listitem>
<listitem><para>CentOS release 5.7 (Final)</para></listitem>
<listitem><para>CentOS release 5.8 (Final)</para></listitem>
<listitem><para>CentOS release 6.3 (Final)</para></listitem>
- <listitem><para>CentOS release 6.x</para></listitem> -->
+ <listitem><para>CentOS release 6.x</para></listitem>
<listitem><para>CentOS release 7.x</para></listitem>
-<!-- <listitem><para>Debian GNU/Linux 6.0 (Squeeze)</para></listitem>
- <listitem><para>Debian GNU/Linux 7.x (Wheezy)</para></listitem> -->
+ <listitem><para>Debian GNU/Linux 6.0 (Squeeze)</para></listitem>
+ <listitem><para>Debian GNU/Linux 7.x (Wheezy)</para></listitem>
<listitem><para>Debian GNU/Linux 8.x (Jessie)</para></listitem>
<listitem><para>Debian GNU/Linux 9.x (Stretch)</para></listitem>
-<!-- <listitem><para>Debian GNU/Linux 7.1 (Wheezy)</para></listitem>
+ <listitem><para>Debian GNU/Linux 7.1 (Wheezy)</para></listitem>
<listitem><para>Debian GNU/Linux 7.2 (Wheezy)</para></listitem>
<listitem><para>Debian GNU/Linux 7.3 (Wheezy)</para></listitem>
<listitem><para>Debian GNU/Linux 7.4 (Wheezy)</para></listitem>
@@ -128,11 +148,10 @@
<listitem><para>openSUSE 12.2</para></listitem>
<listitem><para>openSUSE 12.3</para></listitem>
<listitem><para>openSUSE 13.1</para></listitem>
- <listitem><para>openSUSE 13.2</para></listitem> -->
+ <listitem><para>openSUSE 13.2</para></listitem>
<listitem><para>openSUSE 42.1</para></listitem>
<listitem><para>openSUSE 42.2</para></listitem>
- </itemizedlist>
- </para>
+-->
<note>
While the Yocto Project Team attempts to ensure all Yocto Project